"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const account_1 = require("./endpoints/account");
const config_1 = __importDefault(require("./config"));
const certification_1 = require("./endpoints/certification");
const changes_1 = require("./endpoints/changes");
const credits_1 = require("./endpoints/credits");
class TMDB {
    constructor(accessToken) {
        this.accessToken = accessToken;
    }
    get account() {
        return new account_1.Account(this.accessToken);
    }
    get certifications() {
        return new certification_1.Certification(this.accessToken);
    }
    get changes() {
        return new changes_1.Change(this.accessToken);
    }
    get credits() {
        return new credits_1.Credits(this.accessToken);
    }
}
exports.default = TMDB;
(async () => {
    const tmdb = new TMDB(config_1.default.accessToken);
    const result = await tmdb.credits.getById('52542282760ee313280017f9');
    console.log(result);
})();
//# sourceMappingURL=tmdb.js.map